local alist all aso non_aso
foreach j of local alist {

use ${dd}\ed_episodes_cleaned.dta, clear

if "`j'"=="aso" keep if aso=="Y"
if "`j'"=="non_aso" keep if aso=="N"

*NY and control states
keep if state=="NY" | state=="NJ" | state=="PA" | state=="CT" | state=="VT" | state=="MA"
loc ctrlabel "NJ, PA, CT, VT, MA"

*dummy for NY	
gen ny_dum=1 if state=="NY"
replace ny_dum=0 if ny_dum==.

*dummy for pre/post	
gen treat_dum=1 if qgroup>12
replace treat_dum=0 if treat_dum==.

*interaction	
gen inter=treat_dum*ny_dum
	
	estimates clear 
	local list oon_ind phys_charge phys_payment fac_charge fac_payment
foreach q of local list {

areg `q' inter ny_dum treat_dum i.qgroup pat_female i.pat_age i.pat_race charind, absorb(aha) vce(cluster aha)
estadd ysumm
esttab using ${o}\final_tables\reg_nypost_`j'.csv, stats(ymean ysd N r2) replace se ///
	nogaps drop(_cons *pat_age* *pat_race* pat_female charind) r2 noparentheses starlevels(* 0.10 ** 0.05 *** 0.01)
	
	}

	}

